<?php

namespace App\Browser\Jobs\HellcaseBattles;

use App\Models\HellcaseBattle;
use App\Notification\NotificationBody;

class HellcaseBattlesNotificationBody extends NotificationBody {

    private HellcaseBattle $battle;

    public function __construct(HellcaseBattle $battle) {
        parent::__construct();

        $this->battle = $battle;
    }

    /**
     * @inheritDoc
     */
    public function toMarkdownString(): string {
        return "
- Valeur : **{$this->battle->value} €**
- Lien : **{$this->battle->getUrl()}**
        ";
    }

    /**
     * @inheritDoc
     */
    public function toString(): string {
        return "
- Valeur : {$this->battle->value} €
- Lien : {$this->battle->getUrl()}
        ";
    }
}
